_syck_node Struct Reference

`#include <syck.h>`

## Data Fields

SYMID | id
enum syck_kind_tag | kind
char * | type_id
char * | anchor
union {
struct SyckMap {
enum map_style style
SYMID * keys
SYMID * values
long capa
long idx
} pairs
struct SyckSeq {
enum seq_style style
SYMID * items
long capa
long idx
} list
struct SyckStr {
enum scalar_style style
char * ptr
long len
} str
} | data
void * | shortcut

## Detailed Description

Definition at line 109 of file syck.h.

## Field Documentation

char* _syck_node::anchor

Definition at line 117 of file syck.h.

Referenced by syck_alloc_node(), syck_free_node(), syck_hdlr_add_anchor(), syck_hdlr_add_node(), syck_hdlr_get_anchor(), syck_node_transform(), and syck_yaml2byte_handler().

long _syck_node::capa

Definition at line 124 of file syck.h.

union { ... } _syck_node::data

Referenced by rb_syck_emitter_handler(), syck_alloc_map(), syck_alloc_seq(), syck_alloc_str(), syck_free_members(), syck_genericresolver_node_import(), syck_map_add(), syck_map_assign(), syck_map_count(), syck_map_empty(), syck_map_read(), syck_map_style_set(), syck_map_update(), syck_new_str2(), syck_node_mark(), syck_node_transform(), syck_replace_str2(), syck_resolver_node_import(), syck_scalar_style_set(), syck_scalar_value_set(), syck_seq_add(), syck_seq_assign(), syck_seq_count(), syck_seq_empty(), syck_seq_read(), syck_seq_style_set(), syck_str_blow_away_commas(), syck_str_read(), syck_yaml2byte_handler(), sycklex_bytecode_utf8(), sycklex_yaml_utf8(), try_tag_implicit(), and yaml_org_handler().

SYMID _syck_node::id

Definition at line 111 of file syck.h.

Referenced by rb_syck_load_handler(), syck_alloc_node(), syck_hdlr_add_anchor(), syck_hdlr_add_node(), syck_map_alloc(), syck_node_mark(), syck_node_transform(), syck_scalar_alloc(), and syck_seq_alloc().

long _syck_node::idx

Definition at line 125 of file syck.h.

SYMID* _syck_node::items

Definition at line 130 of file syck.h.

SYMID* _syck_node::keys

Definition at line 122 of file syck.h.

enum syck_kind_tag _syck_node::kind

Definition at line 113 of file syck.h.

Referenced by rb_syck_emitter_handler(), syck_alloc_node(), syck_free_members(), syck_genericresolver_node_import(), syck_hdlr_add_anchor(), syck_node_mark(), syck_node_transform(), syck_resolver_node_import(), syck_yaml2byte_handler(), try_tag_implicit(), and yaml_org_handler().

long _syck_node::len

Definition at line 138 of file syck.h.

struct { ... } ::SyckSeq * _syck_node::list

Referenced by rb_syck_emitter_handler(), syck_alloc_seq(), syck_free_members(), syck_genericresolver_node_import(), syck_map_empty(), syck_node_mark(), syck_node_transform(), syck_resolver_node_import(), syck_seq_add(), syck_seq_assign(), syck_seq_count(), syck_seq_empty(), syck_seq_read(), syck_seq_style_set(), syck_yaml2byte_handler(), and yaml_org_handler().

struct { ... } ::SyckMap * _syck_node::pairs

Referenced by rb_syck_emitter_handler(), syck_alloc_map(), syck_free_members(), syck_genericresolver_node_import(), syck_map_add(), syck_map_assign(), syck_map_count(), syck_map_empty(), syck_map_read(), syck_map_style_set(), syck_map_update(), syck_node_mark(), syck_node_transform(), syck_resolver_node_import(), syck_yaml2byte_handler(), and yaml_org_handler().

char* _syck_node::ptr

Definition at line 137 of file syck.h.

void* _syck_node::shortcut

Definition at line 142 of file syck.h.

Referenced by apply_seq_in_map(), syck_alloc_node(), syck_node_mark(), and yyparse().

struct { ... } ::SyckStr * _syck_node::str

Referenced by rb_syck_emitter_handler(), syck_alloc_str(), syck_free_members(), syck_genericresolver_node_import(), syck_new_str2(), syck_node_transform(), syck_replace_str2(), syck_resolver_node_import(), syck_scalar_style_set(), syck_scalar_value_set(), syck_str_blow_away_commas(), syck_str_read(), syck_yaml2byte_handler(), sycklex_bytecode_utf8(), sycklex_yaml_utf8(), try_tag_implicit(), and yaml_org_handler().

enum map_style _syck_node::style

Definition at line 121 of file syck.h.

enum seq_style _syck_node::style

Definition at line 129 of file syck.h.

enum scalar_style _syck_node::style

Definition at line 136 of file syck.h.

char* _syck_node::type_id

Definition at line 115 of file syck.h.

Referenced by rb_syck_bad_anchor_handler(), rb_syck_emitter_handler(), syck_add_transfer(), syck_alloc_node(), syck_defaultresolver_node_import(), syck_free_node(), syck_genericresolver_node_import(), syck_node_transform(), syck_node_type_id_set(), syck_resolver_node_import(), syck_yaml2byte_handler(), sycklex_yaml_utf8(), try_tag_implicit(), yaml_org_handler(), and yyparse().

SYMID* _syck_node::values

Definition at line 123 of file syck.h.

The documentation for this struct was generated from the following file:

- ext/syck/syck.h